import Vue from "vue";
import VueRouter from "vue-router";
import Home from "../views/Home.vue";
import Mine from "../views/Mine.vue";
import Project from "../views/Project.vue";
import square from "../components/square.vue";

Vue.use(VueRouter);

const routes = [
 
  {
    path: "/mine",
    name: "mine",
    component:Mine
  },{
    path: "/square",
    name: "square",
    component:square
  },{
    path: "/project",
    name: "project",
    component:Project
  },
  {
    path: "/about",
    name: "about",
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/About.vue")
  }
];

const router = new VueRouter({
  routes
});



export default router;

